aboutsummaryrefslogtreecommitdiff
path: root/system/terminus-font/terminus-font.SlackBuild
diff options
context:
space:
mode:
authorBinh Nguyen <binhnguyen@fastmail.fm>2011-05-10 12:02:49 -0500
committerRobby Workman <rworkman@slackbuilds.org>2011-05-10 12:02:49 -0500
commit58be92e9b7dccb860a862fc68a9acae07ea33170 (patch)
tree962ebeeb79908bf2156e76cfc0ec62490e4ac751 /system/terminus-font/terminus-font.SlackBuild
parent302a1ab9bd24616b32670597092d50f936109eb4 (diff)
system/terminus-font: Updated for version 4.34.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/terminus-font/terminus-font.SlackBuild')
-rw-r--r--system/terminus-font/terminus-font.SlackBuild67
1 files changed, 14 insertions, 53 deletions
diff --git a/system/terminus-font/terminus-font.SlackBuild b/system/terminus-font/terminus-font.SlackBuild
index 623ad35fe92a..068c35641d46 100644
--- a/system/terminus-font/terminus-font.SlackBuild
+++ b/system/terminus-font/terminus-font.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for terminus-font
# Copyright (c) 2008-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright 2011 Binh Nguyen <binhnguyen@fastmail.fm>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,11 +25,12 @@
# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=terminus-font
-VERSION=4.30
-ARCH=noarch
+VERSION=${VERSION:-4.34}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+ARCH=noarch
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -45,67 +47,26 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# Declare a nice exit function in case a patch fails to apply.
-patchfailed() {
- echo
- echo One or more of your selected patches failed to apply.
- echo Please correct the problem and try again.
- exit 1
- }
-# Please uncomment any patches you need.
-# Note that all of them are not tested, so if one of these happens to
-# fail, it should be reported to the upstream developers. :-)
-( # Apply patches
- echo "Applying patches (if any were selected)..."
- # Nice, but sometimes hard to distinguish from 'o'.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-ao2.diff || exit 1
-
- # Due to character matrix limitations, the printing
- # de and ve are of slightly worse quality.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-dv1.diff || exit 1
-
- # Apply when creating an international package.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-ge1.diff || exit 1
-
- # Many programs still use ` and ' as single quotes.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-gq2.diff || exit 1
-
- # Without information.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-ij1.diff || exit 1
-
- # The high cyrillic ka is used in Bulgaria as decorative; the
- # latin 'k' is always high, of course.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-ka2.diff || exit 1
-
- # The proper widths are exactly between, but can not be implemented.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-cm2.diff || exit 1
-
- # The next 4 patchs seems like aren't working.
-
- # Boldified diagonal parts of '4', 'k', 'x' etc. (about 55 basic
- # characters) for 16x32 normal. Whether the patched versions will look
- # better depends on your monitor and personal taste.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-kx3.diff || exit 1
-
- # kx3-specific versions of some variants, use them with kx3 instead
- # of the standard variant.
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-kx3-ao2.diff || exit 1
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-kx3-ij1.diff || exit 1
- #patch -p1 < $CWD/patches/terminus-font-$VERSION-kx3-ka2.diff || exit 1
-) || patchfailed
-
./configure \
--prefix=/usr \
--psfdir=/usr/share/kbd/consolefonts \
--acmdir=/usr/share/kbd/consoletrans \
- --x11dir=/usr/share/fonts/misc \
+ --x11dir=/usr/share/fonts/misc
make
make txt
make DESTDIR=$PKG TESTDIR= install install-uni install-ref install-acm
+# Install Fontconfig configuration file
+# See README, last FAQ
+( mkdir -p $PKG/etc/fonts/conf.avail/ $PKG/etc/fonts/conf.d
+ cat 75-yes-terminus.conf > $PKG/etc/fonts/conf.avail/75-yes-terminus.conf
+ cd $PKG/etc/fonts/conf.d
+ ln -sf ../conf.avail/75-yes-terminus.conf .
+) || exit 1
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGES COPYING INSTALL NEWS README* *.TXT $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install